<div class="container-md employees mt-5 mb-5">
  <div class="row">
    <div class="col-6">
      <h2>Employees</h2>
    </div>
    <div class="col-6 d-flex justify-content-end" *ngIf="loggedUser?.isAdmin">
      <button type="button" class="btn btn-primary" (click)="onCreateUser()">Create Employee</button>
    </div>
  </div>

  <h5>Filters:</h5>

  <div class="form-check mb-1">
    <input
      type="checkbox"
      class="form-check-input"
      id="check-box"
      (change)="onShowSubordinates($event)"
    />
    <label class="form-check-label">Show direct subordinates only</label>
  </div>
  <div class="row">
    <div class="form-group col-sm-3">
      <input type="keyword" class="form-control" placeholder="Name" (input)="onSearch($event)" />
    </div>

    <div class="form-group col-sm-3">
      <select #skillSelect class="form-control" (change)="onSkillFilter($event)">
        <option value="" selected>Choose a skill</option>
        <option value="managers">Managers</option>
        <option *ngFor="let skill of skills" [value]="skill.id">{{ skill.name }}</option>
      </select>
    </div>
  </div>

  <div class="employees-container" *ngFor="let employee of (employees | async)">
    <app-employee-card [singleEmployee]="employee" [manager]="loggedUser"></app-employee-card>
  </div>
</div>
